# Contributing

So you want to contribute, nice.  **Thank you**.

Bug reports and code and documentation patches are all welcome. You can help this project also by using the development version and by reporting any bugs you might encounter.

You may contribute in several ways like:

* Creating new features
* Fixing bugs
* Improving documentation and examples
* Translating any document here to your language

## Table of contents

* [Contributing](#contributing)
  * [Developing](#developing)
  * [Running tests](#running-tests)
  * [Reporting a bug](#reporting-a-bug)
  * [Request a feature](#request-a-feature)
  * [Commit message](#commit-message)
  * [Code style](#code-style)

## Developing

The core logic is essentially a single source file in the project. It is the [/public/js/index.js](/public/js/index.js).

The [test/index.spec.js](test/index.spec.js) is for now the only unit test file in the project.

## Running tests

Run unit tests using this command:

```bash
npm run test
```

## Reporting a bug

Use the [Issue Tracker](http://code.negative9.net/geoff/fast-calorie.git/issues) to report any bug you find.
Bugs description should include:

* How to reproduce the bug;
* Easy to understand title;

Would be nice to have some code showing how to reproduce the code, you may use [gist](https://gist.github.com) or [Codepen](https://codepen.io) for uploading your example code.

## Request a feature

Use the [Issue Tracker](http://code.negative9.net/geoff/fast-calorie.git/issues) to request a new feature.

Keep in mind, this is a pure native web tech app: HTML, CSS, JS


## Commit message

Commit messages should includes issue number reference and a imperative easy to understand sentence.

## Coding style

If it is supported in all major browers without transpiling, then please use those JavaScript language features in your code, with one caveat -- readablity is king.

Currently all ES5 and ES6/ES2015 are available.

This project is linted agaist [ESLint](https://eslint.org/) and the [`.eslintrc.json`](.eslintrc.json) is dead-simple, and all you need to followed.

Thank you for reading this.


Hey, **star** this *repo* and/or share it with your friends.