# Fast Calorie
> Single-Page Progressive Web App

There are lots of calorie counting apps out there, and a lot of good ideas, however I thought I could build an app to make entering your calories *even* FASTER.

In most apps, your search for food or drinks by name, or you *try* to scan the barcode, but your often left without finding the exact item you wanted or *none at all*.  **That sucks!** In  **Fast Calorie** searching is based on the calorie count -- AND not just "A" calorie count but calories for the food and drinks you consume -- not 80% of the things you would never touch!

This is YOUR app, your CALORIES, and your DATA!

## Development

Beyond the usefulness of the app, every creation is a chance to explore new technologies, and boldly go where you otherwise fear to tread, because... you know... you would have to support it if it didnt scale!

Building small things with tiny libraries is my joy, and this app is no different.  The corner stone of this development built around [Litedom](https://litedom.js.org/), a very small view library

### Stack

- [Litedom JS](https://litedom.js.org/) - A Tiny View Library
- [Matrialize CSS](https://materializecss.com/) - A Not so Tiny CSS Framework
- [DexieDB](https://dexie.org/) -  A Robust IndexedDB Wrapper

### Features

- No Build Process Required
- Progressive Web App

## Quick Start

`npm start` Runs the app in the development mode using `live-server`. By default. Your browser should open to  `http://localhost:8080`.

> live-server reloads just rock for development.

## TODO

- Integrate `frontend-dependencies` or `Parcel` for vendor lib management
- Add ability to add entries/details to catalog/entries from modal
- Add ability to change dates back and forward on date line
- Add ability to load date based on date picker

## Support

Please open [an issue](https://github.com/n2geoff/fast-calorie/issues/new) for support.

## Contributing

Anyone is welcome to contribute, however, if you decide to get involved, please take a moment to review the [guidelines](CONTRIBUTING.md), they're minimalistic;)

## License

[MIT](LICENSE)